searchNodes=[{"doc":"Needlework brings additional operators to Elixir that allows you to &quot;thread&quot; results of your functions into other function calls. Basically extending the Kernel.|&gt;/2 operator. Just use Needlework in your modules and thread away! Example: defmodule MyModule do use Needlework @spec foo ( func :: fun ( ) ) :: list ( ) def foo ( func ) do func ~&gt; Enum . map ( [ 1 , 2 , 3 ] ) end end","ref":"Needlework.html","title":"Needlework","type":"module"},{"doc":"Bind operator. If value on the left is a plain value -&gt; converts it to Needlework.ok/0 | Needlework.error/0 tuple then desctructures the tuple. If it was Needlework.ok/0 tuple -&gt; passes the value for evaluation. If it was Needlework.ok/0 tuple -&gt; skips the evaluation Example: iex&gt; import Needlework iex&gt; foo = fn x -&gt; { :ok , x * 2 } end iex&gt; 2 &lt;|&gt; foo . ( ) &lt;|&gt; foo . ( ) &lt;|&gt; foo . ( ) { :ok , 16 } iex&gt; bar = fn _ -&gt; { :error , &quot;impossible&quot; } end iex&gt; 2 &lt;|&gt; foo . ( ) &lt;|&gt; bar . ( ) &lt;|&gt; foo . ( ) { :error , &quot;impossible&quot; }","ref":"Needlework.html#%3C%7C%3E/2","title":"Needlework.<|>/2","type":"macro"},{"doc":"Same as Needlework.&lt;|&gt;/2 but places the value instead of _ . If no _ present works like a Needlework.&lt;|&gt;/2 Examples: iex&gt; import Needlework iex&gt; foo = fn x , y -&gt; { :ok , x ++ y } end iex&gt; [ 1 , 2 , 3 ] &lt;~&gt; foo . ( _ , [ 1 , 2 , 3 ] ) &lt;~&gt; foo . ( [ 4 , 5 , 6 ] , _ ) { :ok , [ 4 , 5 , 6 , 1 , 2 , 3 , 1 , 2 , 3 ] } iex&gt; [ 1 , 2 , 3 ] &lt;~&gt; foo . ( [ 1 , 2 , 3 ] ) &lt;~&gt; foo . ( [ 4 , 5 , 6 ] ) { :ok , [ 1 , 2 , 3 , 1 , 2 , 3 , 4 , 5 , 6 ] } iex&gt; bar = fn _ , _ -&gt; { :error , &quot;reason&quot; } end iex&gt; [ 1 , 2 , 3 ] &lt;~&gt; bar . ( [ 1 , 2 , 3 ] ) &lt;~&gt; foo . ( [ 4 , 5 , 6 ] ) { :error , &quot;reason&quot; }","ref":"Needlework.html#%3C~%3E/2","title":"Needlework.<~>/2","type":"macro"},{"doc":"Allows to thread the value on the left as the last argument Example: iex&gt; import Needlework iex&gt; [ 1 , 2 , 3 ] ~&gt; Kernel . ++ ( [ 4 , 5 , 6 ] ) [ 4 , 5 , 6 , 1 , 2 , 3 ] iex&gt; fn x -&gt; x * 2 end ~&gt; Enum . map ( [ 1 , 2 , 3 ] ) [ 2 , 4 , 6 ]","ref":"Needlework.html#~%3E/2","title":"Needlework.~>/2","type":"macro"},{"doc":"Allows to thread the value on the left to a specific spot on the right. Value from the left will be placed instead of _ . If no _ present works like a regular Kernel.|&gt;/2 Example: iex&gt; import Needlework iex&gt; [ 1 , 2 , 3 ] ~&gt;&gt; Kernel . ++ ( [ 4 , 5 , 6 ] , _ ) [ 4 , 5 , 6 , 1 , 2 , 3 ] iex&gt; [ 1 , 2 , 3 ] ~&gt;&gt; Kernel . ++ ( [ 4 , 5 , 6 ] ) iex&gt; [ ] ~&gt;&gt; Enum . reduce ( [ 1 , 2 , 3 ] , _ , fn x , acc -&gt; [ x | acc ] end ) [ 3 , 2 , 1 ]","ref":"Needlework.html#~%3E%3E/2","title":"Needlework.~>>/2","type":"macro"},{"doc":"Wraps the value in Needlework.ok/0 tuple. Example: iex&gt; 5 |&gt; Needlework . ok_unit ( ) { :ok , 5 } iex&gt; { :ok , 5 } |&gt; Needlework . ok_unit ( ) { :ok , 5 } iex&gt; { :error , &quot;&quot; } |&gt; Needlework . ok_unit ( ) { :error , &quot;&quot; }","ref":"Needlework.html#ok_unit/1","title":"Needlework.ok_unit/1","type":"function"},{"doc":"","ref":"Needlework.html#t:error/0","title":"Needlework.error/0","type":"type"},{"doc":"","ref":"Needlework.html#t:ok/0","title":"Needlework.ok/0","type":"type"},{"doc":"Needlework brings additional operators to Elixir that allows you to &quot;thread&quot; results of your functions into other function calls. Basically extending the Kernel.|&gt;/2 operator. Just use Needlework in your modules and thread away! Example: defmodule MyModule do use Needlework @spec foo ( func :: fun ( ) ) :: list ( ) def foo ( func ) do func ~&gt; Enum . map ( [ 1 , 2 , 3 ] ) end end Check the full documentation Inspired by an awesome dash","ref":"readme.html","title":"Needlework","type":"extras"},{"doc":"The package can be installed by adding needlework to your list of dependencies in mix.exs : def deps do [ { :needlework , &quot;~&gt; 1.0.0&quot; } ] end","ref":"readme.html#installation","title":"Needlework - Installation","type":"extras"}]